Unable to start application on this device: String index out of range -6

I can test fine on my android physical device, but whenever i try to run anything on an ipod touch (iphones aren’t getting recognized for some reason) i get this error, regardless of what .ipa or file in general i try to run

2 Likes

Hmm which iOS version you are using from your iPod?

Ipod - 9.3.6
Iphone 6s - 10.3.1
(anything running 11.x didn’t get recognized)

I am still facing this issue

I am having the same issue on my iphone 7 plus ios version 11.2.5

Please help to send me your application if possible.

I would have to get permission from upper management but here is the link to error: https://onsolvelaunch-my.sharepoint.com/:v:/r/personal/darlene_cherry_onsolve_com/Documents/Email%20attachments/Katalonerror.mp4?csf=1&e=GM2ZI8

Unfortunately I am also having an issue with Android 7.0 device. Samsung SM-T580. I am able to start application via spy mobile but I have been getting the attached error when I run anyone of my scripts.

Android.Failuretostart.jpg

I am facing the same issue.could you please provide a solution

i am also facing this issue when i try to spy my andriod application. the application is starts but it automatically closes and throughs me this exception.could you please help me out with this.

Screen Shot 2018-02-13 at 10.00.18 am.png

**

**I am also getting the same error when I try to run an IPA file on iPad. But for Android, it works fine. can someone help me to get out of it? @Katalon Studio @Katalon Tester

iPad Error.png

1 Like

Monisha Goyal said:

i am also facing this issue when i try to spy my andriod application. the application is starts but it automatically closes and throughs me this exception.could you please help me out with this.

Please see solution #3 from this page: http://docs.katalon.com/display/KD/Troubleshooting+automated+mobile+testing

I am getting the same error when I try to run an IPA file on iPhone SE iOS 10.3.1
“Unable to start application on this device: : String index out of range: -6”
Can someone help me?

2 Likes

Same String index out of range: -6" issue here iOS 11.3 and macOS 10.13.4

I was able to connect with Samsung S8 Android 8.0

This is the log before the error occurs.

Katalon.png

I still couldn’t find a resolution, I’m pretty sure this has to do with some steps I may have skipped in the macOS guide(https://docs.katalon.com/display/KD/Mobile+on+macOS)

Im also getting same issue did you found any solution ?. Please let me know. Thanks

Hi @kundaganesh,

Are you seeing this error when testing iOS? If so, are you using Xcode 10.x? For the best compatibility, it’s recommended you use Appium Server 1.8.2-beta if you’re testing with Xcode 10 and iOS 12:

npm install -g appium@1.8.2-beta

Hope this helps,

Chris

Hi Chris,
Will check with this appium version and update to you. Thanks for your help

Hi @Chris_Trevarthen,

I am using appium - 1.8.1 and Xcode Version 10 (Version 10.0 (10A255))
But still I am facing “String Index out of range exception”